Subject: bug#67687: Feature request: automatic tags management

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Dec 2023 17:57:00 +0200

Hi!

On 07/12/2023 13:43, Jon Eskin wrote:
> Sublime text and the vim extension vim-gutentags 
> (https://github.com/ludovicchabant/vim-gutentags 
> <https://github.com/ludovicchabant/vim-gutentags>) allow you to open 
> projects and immediately go to symbol definitions and references without 
> any configuration or setup. They also handle background indexing as you 
> work.
> 
> It would be very nice if Emacs had an option to work the same way, where 
> I could open a project and immediately navigate symbols built from the 
> project.el root, without having to manually futz around with tags.

I have some related work that's been lying in a drawer as of late.

Do you know what gutentags does when a file is deleted, or added 
externally, or you switch to a different Git branch and many files 
change their contents at once?